import theater.*;
import java.awt.Color;

/**
 * Die Klasse stellt eine Repraesentation der Geisterwelt dar.
 *
 * @author Dietrich Boles (Universitaet Oldenburg)
 * @version 1.0 (29.09.2009)
 *
 */
public class Dunkelheit extends Stage {
    public Dunkelheit() {
        // 16 Spalten, 12 Reihen, jedes Feld hat eine Größe von 50x50 Pixeln
        super(16, 12, 50);
        
        // Hintegrund ist schwarz
        TheaterImage image = new TheaterImage(50, 50);
        image.setColor(Color.BLACK);
        image.fill();
        setBackground(image);

        // erzeugt den Solist (das Mädchen) und platziert ihn auf Feld (1/1)
        setSolist(Actor.createSolist(), 1, 1);
    }
}

